Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.registry
Interface VillagerRegistry.IVillageCreationHandler

Enclosing class:
  VillagerRegistry

    public static interface VillagerRegistry.IVillageCreationHandler

Allow access to the `StructureVillagePieces` array controlling new village creation so you can insert your own new village pieces

Author:
  cpw

Method Summary
`Object` | `buildComponent(StructureVillagePieceWeight villagePiece, ComponentVillageStartPiece startPiece, List pieces, Random random, int p1, int p2, int p3, int p4, int p5)` Build an instance of the village component `StructureVillagePieces`
`Class<?>` | `getComponentClass()` The class of the root structure component to add to the village
`StructureVillagePieceWeight` | `getVillagePieceWeight(Random random, int i)` Called when `MapGenVillage` is creating a new village

Method Detail

### getVillagePieceWeight

    StructureVillagePieceWeight getVillagePieceWeight(Random random,
                                                      int i)

  Called when `MapGenVillage` is creating a new village

  Parameters:
    `random` -
    `i` -

### getComponentClass

    Class<?> getComponentClass()

  The class of the root structure component to add to the village

### buildComponent

    Object buildComponent(StructureVillagePieceWeight villagePiece,
                          ComponentVillageStartPiece startPiece,
                          List pieces,
                          Random random,
                          int p1,
                          int p2,
                          int p3,
                          int p4,
                          int p5)

  Build an instance of the village component `StructureVillagePieces`

  Parameters:
    `villagePiece` -
    `startPiece` -
    `pieces` -
    `random` -
    `p1` -
    `p2` -
    `p3` -
    `p4` -
    `p5` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD